Skip to main content

private/advanced/cancel-order-list

POST 

/private/advanced/cancel-order-list

Cancels multiple advanced orders in a single request.

This call is asynchronous, so the response is simply a confirmation of the request.

The user.advanced.order subscription can be used to check when the orders are successfully canceled.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/advanced/cancel-order-list"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    order_list object[]required
    Possible values: >= 1, <= 10
    Array of orders to cancel (max 10). Each item must have either order_id or client_oid.
  • Array [
  • order_id int64

    Order ID to cancel. string format is highly recommended.

    client_oid string

    Client Order ID to cancel.

  • ]
Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object[]
    Present when code === 0. Array of results for each cancel request.
  • Array [
  • index integer

    Index of the order in the original request (0-based).

    code integer

    0 for success, error code otherwise.

    message string

    Error message (present on failure).

  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.